skb_peek
Prev | Socket Buffer Functions | Next

## Name

skb_peek —

## Synopsis

`struct sk_buff * skb_peek (` | struct sk_buff_head * | list_`)`;

## Arguments

`list_`

  list to peek at

## Description

Peek an &sk_buff. Unlike most other operations you _MUST_ be careful with this one. A peek leaves the buffer on the list and someone else may run off with it. You must hold the appropriate locks or have a private queue to do this.

Returns `NULL` for an empty list or a pointer to the head element. The reference count is not incremented and the reference is therefore volatile. Use with caution.

Prev | Up | Next
skb_unshare | Home | skb_peek_tail